Skip to main content
`Ctrl`+`K`

# TSMonitorLGError

Monitors progress of the `TS` solvers by plotting each component of the error in a time based line graph

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGError(TS ts, PetscInt step, PetscReal ptime, Vec u, PetscCtx Ctx)

Collective

## Input Parameters

- ts - the `TS` context

- step - current time-step

- ptime - current time

- u - current solution

- Ctx - `TSMonitorLGCtx` object created with `TSMonitorLGCtxCreate()`

## Options Database Key

- -ts_monitor_lg_error - create a graphical monitor of error history

## Notes

Each process in a parallel run displays its component errors in a separate window

The user must provide the solution using `TSSetSolutionFunction()` to use this monitor.

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the TS integration.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSSetSolutionFunction()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages